---
id: axeltorrents
name: AXEL Torrents
description: "AXEL Torrents is a BULGARIAN Semi-Private Torrent Tracker for MOVIES / TV / GENERAL"
language: bg-BG
type: semi-private
encoding: windows-1251
links:
  - https://axelbg.net/

caps:
  categorymappings:
    - {id: 10, cat: TV/Anime, desc: "Anime"}
    - {id: 44, cat: Books/EBook, desc: "Books"}
    - {id: 42, cat: Books/Comics, desc: "Cartoons"}
    - {id: 43, cat: Books/Comics, desc: "Comics"}
    - {id: 45, cat: Other, desc: "Education"}
    - {id: 2, cat: Console, desc: "Games"}
    - {id: 9, cat: Other, desc: "MISC"}
    - {id: 8, cat: Movies/DVD, desc: "Movies/DVD-R"}
    - {id: 49, cat: Movies/HD, desc: "Movies/Hi-Res"}
    - {id: 3, cat: Movies/SD, desc: "Movies/VHS"}
    - {id: 7, cat: Movies/SD, desc: "Movies/XviD"}
    - {id: 4, cat: Audio, desc: "Music"}
    - {id: 47, cat: Audio/Video, desc: "Music Videos"}
    - {id: 46, cat: Audio/Lossless, desc: "Music/Lossless"}
    - {id: 48, cat: Movies, desc: "Pictures"}
    - {id: 1, cat: PC, desc: "Software"}
    - {id: 5, cat: TV, desc: "TV Episodes"}
    - {id: 50, cat: TV/HD, desc: "TV/Hi-Res"}
    - {id: 6, cat: XXX, desc: "XXX"}

  modes:
    search: [q]
    tv-search: [q, season, ep, imdbid]
    movie-search: [q, imdbid]
    music-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: freeleech
    type: checkbox
    label: Search freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: 4
    options:
      4: created
      7: seeders
      5: size
      1: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc
  - name: info_tpp
    type: info
    label: Results Per Page
    default: For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.
  - name: ip_filtering
    type: info
    label: "IP Filtering"
    default: "AXEL Torrents blocks Non-Bulgarian IP addresses. No results likely means your IP was not accepted. Test by accessing <a href=\"https://axelbg.net/\" target=\"_blank\">AXEL Torrents</a> WEB site with your browser."

login:
  path: login.php
  method: post
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
  error:
    - selector: div.login-note
  test:
    path: /
    selector: a[href="/logout.php"]

search:
  paths:
    - path: browse.php
  inputs:
    $raw: "{{ range .Categories }}cat{{.}}=1&{{end}}"
    search: "{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{ else }}{{ .Keywords }}{{ end }}"
    # 0 active, 1 incldead, 2 onlydead, 3 onlyfree, 4 only BGAudio, 5 only BGSubs
    incldead: "{{ if .Config.freeleech }}3{{ else }}1{{ end }}"
    # intitle, everywhere
    place: "{{ if .Query.IMDBID }}everywhere{{ else }}intitle{{ end }}"
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"

  rows:
    selector: table > tbody > tr.rollout:has(div.rPreview)

  fields:
    category:
      selector: a[href^="browse.php?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title:
      selector: a[href^="details.php?id="]
    details:
      selector: a[href^="details.php?id="]
      attribute: href
    download:
      selector: a[href*="download.php"]
      attribute: href
    poster:
      # <div class="rPreview" onmouseover="showBimage(this, '25', 'https://img.imghosting.biz/524/cd08136cf63c733255cda9d51e566429.jpg')">
      selector: div.rPreview
      attribute: onmouseover
      filters:
        - name: regexp
          args: (?=http)(.+?)\'
    files:
      selector: td:nth-last-child(7)
    date:
      # 2026-02-22<br />11:23:43
      selector: td:nth-last-child(5)
      filters:
        - name: append
          args: " +02:00" # EET
        - name: dateparse
          args: "yyyy-MM-ddHH:mm:ss zzz"
    size:
      selector: td:nth-last-child(4)
    grabs:
      selector: td:nth-last-child(3)
    seeders:
      selector: td:nth-last-child(2)
    leechers:
      selector: td:nth-last-child(1)
    downloadvolumefactor:
      case:
        img[src="/images/free.gif"]: 0
        "*": 1
    uploadvolumefactor:
      text: 1
    minimumseedtime:
      # 1 day (as seconds = 24 x 60 x 60)
      text: 86400
    description:
      selector: em
# engine n/a (based on NexusPHP)
